#!/bin/sh -e

CONF_DIR="/etc/atmark/abos_web/openvpn"
CONTAINER="abos_web_openvpn"
CONTAINER_CONF_FILE="/etc/atmark/containers/abos_web_openvpn.conf"
DNS_FILE="/etc/dnsmasq.d/openvpn_dns.conf"

podman stop "$CONTAINER" || :
podman rm "$CONTAINER" || :
persist_file -d "$CONTAINER_CONF_FILE" || :
persist_file -r -d "$CONF_DIR" || :
persist_file -d "$DNS_FILE" || :
rc-service dnsmasq restart
